Summary:	UMFPACK: sparse multifrontal LU factorization
Summary(pl.UTF-8):	UMFPACK - wielofrontalny rozkład LU macierzy rzadkich
Name:		UMFPACK
Version:	5.7.0
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://www.cise.ufl.edu/research/sparse/umfpack/%{name}-%{version}.tar.gz
# Source0-md5:	6b6dbac2f7c08d62c4b3220fed1888a3
Patch0:		%{name}-ufconfig.patch
Patch1:		%{name}-shared.patch
Patch2:		%{name}-include-AMD.patch
URL:		http://www.cise.ufl.edu/research/sparse/umfpack/
BuildRequires:	AMD-devel >= 2.4.0
BuildRequires:	CAMD-devel >= 2.4.0
BuildRequires:	CCOLAMD-devel >= 2.9.0
BuildRequires:	COLAMD-devel >= 2.9.0
BuildRequires:	CHOLMOD-devel >= 3.0.0
BuildRequires:	SuiteSparse_config >= 4.3.0
BuildRequires:	blas-devel
BuildRequires:	libtool >= 2:1.5
Requires:	AMD >= 2.4.0
Requires:	CAMD >= 2.4.0
Requires:	CCOLAMD >= 2.9.0
Requires:	COLAMD >= 2.9.0
Requires:	CHOLMOD >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UMFPACK is a set of routines for solving unsymmetric sparse linear
systems, Ax=b, using the Unsymmetric MultiFrontal method. Written in
ANSI/ISO C, with a MATLAB (Version 6.0 and later) interface. Appears
as a built-in routine (for lu, backslash, and forward slash) in
MATLAB. Includes a MATLAB interface, a C-callable interface, and a
Fortran-callable interface. Note that "UMFPACK" is pronounced in two
syllables, "Umph Pack". It is not "You Em Ef Pack".

%description -l pl.UTF-8
UMFPACK to zbiór procedur do rozwiązywania niesymetrycznych rzadkich
układów równań liniowych Ax=b przy użyciu metody UMF (Unsymmetric
MultiFrontal). Jest napisany w ANSI/ISO C z interfejsem do MATLAB-a
(w wersji 6.0 i nowszych). W MATLAB-ie jest dostępny jako wbudowana
procedura (dla lu, backslasha i slasha). Oprócz interfejsu dla
MATLAB-a dostępny jest interfejs dostępny z C i Fortranu. Uwaga:
"UMFPACK" powinno się wymawiać jako dwie sylaby: "Umf Pak"; nie jako
"U Em Ef Pak".

%package devel
Summary:	Header files for UMFPACK library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki UMFPACK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	AMD-devel >= 2.4.0
Requires:	CAMD-devel >= 2.4.0
Requires:	CCOLAMD-devel >= 2.9.0
Requires:	COLAMD-devel >= 2.9.0
Requires:	CHOLMOD-devel >= 3.0.0
Requires:	SuiteSparse_config >= 4.3.0

%description devel
Header files for UMFPACK library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki UMFPACK.

%package static
Summary:	Static UMFPACK library
Summary(pl.UTF-8):	Statyczna biblioteka UMFPACK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static UMFPACK library.

%description static -l pl.UTF-8
Statyczna biblioteka UMFPACK.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/umfpack

%{__make} -C Lib install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install Include/*.h $RPM_BUILD_ROOT%{_includedir}/umfpack

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt Doc/{ChangeLog,License}
%attr(755,root,root) %{_libdir}/libumfpack.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libumfpack.so.0

%files devel
%defattr(644,root,root,755)
%doc Doc/{QuickStart,UserGuide}.pdf
%attr(755,root,root) %{_libdir}/libumfpack.so
%{_libdir}/libumfpack.la
%{_includedir}/umfpack

%files static
%defattr(644,root,root,755)
%{_libdir}/libumfpack.a
%changelog
* Thu Mar 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/UMFPACK.git;a=log;h=auto/th/UMFPACK-5.7.0-2

* Thu Mar 12 2015 Jan Rękorajski <baggins@pld-linux.org> f6b034f
- release 2 (by relup.sh)

* Fri Oct 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 396f021
- updated to 5.7.0
- updated ufconfig,shared patches

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 4f95305
- updated to 5.6.2

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 095e719
- updated to 5.6.1
- updated ufconfig,shared patches

* Wed Jun 27 2012 Jakub Bogusz <qboosh@pld-linux.org> a25446b
- updated to 5.6.0; switched to SuiteSparse_config
- updated ufconfig,shared patches

* Thu Apr 19 2012 wrobell <wrobell@pld-linux.org> f11e445
- fixed build dependencies
- fixed devel subpackage installation requirements
- rel. 2

* Fri Jan 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 5203e84
- versioned AMD/CHOLMOD/UFconfig dependencies for build system compatibility

* Fri Jan 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 7b42082
- updated to 5.5.2
- updated ufconfig,shared patches

* Sun Jan 30 2011 Jakub Bogusz <qboosh@pld-linux.org> c383a5c
- updated to 5.5.1
- updated shared patch

* Thu Oct 14 2010 Jakub Bogusz <qboosh@pld-linux.org> b5c8946
- updated to 5.5.0
- updated ufconfig,shared patches

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 66ee15f
- fixed shared patch, -fPIC hack no longer needed
- ghost soname symlink

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 72af59f
- use *.lo to link the library

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 2f140a0
- pl
- added docs
- License is GPL (v2+)

* Fri Dec 07 2007 ankry <ankry@pld-linux.org> 8ea8433
- formatting

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 7b16805
- rel 2
- fix AMD reqs

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 99d3c0e
- properly include AMD header file

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> ce9770d
- use system include paths

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> ef0d594
- consistent library name in summary/description

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 1da0a86
- use private include dir

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 5a2bc52
- use rpmldflags

